Get public Flow form
Returns the public form definition needed to render a Flow capture surface.
Operation ID
getPublicFlowForm/v3/flows/accounts/{accountId}/forms/{formKey}Example requestcURL
curl -X GET 'https://api.sumr.co/v3/flows/accounts/{accountId}/forms/{formKey}' \
-H 'Authorization: Bearer <token>'Path parameters
accountIdrequiredAccount id that owns the Flow form.
stringformKeyrequiredPublic Flow form key.
stringBody
This endpoint does not require a JSON request body.
Responses
200Public form definition.
PublicFormDto
{
"properties": {
"accountId": {
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$",
"type": "string"
},
"allowedOrigins": {
"items": {
"type": "string"
},
"type": "array"
},
"description": {
"maxLength": 1000,
"type": "string"
},
"fields": {
"items": {
"properties": {
"helpText": {
"maxLength": 300,
"type": "string"
},
"key": {
"maxLength": 120,
"minLength": 1,
"pattern": "^[a-z0-9]+(?:-[a-z0-9]+)*$",
"type": "string"
},
"label": {
"maxLength": 160,
"minLength": 1,
"type": "string"
},
"mapsTo": {
"enum": [
"full-name",
"email",
"phone",
"document",
"organization-name",
"message",
"consent-email",
"custom"
],
"type": "string"
},
"order": {
"maximum": 9007199254740991,
"minimum": 0,
"type": "integer"
},
"placeholder": {
"maxLength": 160,
"type": "string"
},
"required": {
"type": "boolean"
},
"type": {
"enum": [
"text",
"email",
"phone",
"textarea",
"checkbox",
"hidden"
],
"type": "string"
}
},
"required": [
"key",
"label",
"type",
"required",
"order"
],
"type": "object"
},
"type": "array"
},
"id": {
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$",
"type": "string"
},
"key": {
"maxLength": 120,
"minLength": 1,
"pattern": "^[a-z0-9]+(?:-[a-z0-9]+)*$",
"type": "string"
},
"thankYouMessage": {
"maxLength": 1000,
"type": "string"
},
"thankYouTitle": {
"maxLength": 180,
"type": "string"
},
"title": {
"maxLength": 180,
"minLength": 1,
"type": "string"
}
},
"required": [
"id",
"accountId",
"key",
"title",
"fields",
"allowedOrigins"
],
"type": "object"
}